@import url(./variables.css);

.content {
    width: 21cm;
    height: 29.7cm;
    margin: 0 auto;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    display: flex;
}

body {
    background: #d2d2d2;
    margin: 1cm;
    font-family: var(--font-used);
}

.txt-sm {
    font-size: .7rem;
}

/** LEFT  */
.left {
    background: var(--background-color-sidebar, #757678);
    width: 35%;
    color: white;
    font-size: var(--left-text-size);
}

.left .little {
    font-size: var(--left-little-text-size);
}

.left .group h2 { /* Arrow*/
    width: 80%;
    height: 40px;
    color: var(--arrow-font-color);
    text-transform: capitalize;
    position: relative;
    background-color: var(--arrow-background-color, #31373F);
    padding: 10px 0 0 10px;
}

.left .group h2:before { /* pointe arrow*/
    content: '';
    position: absolute;
    top: 0;
    right: -20px;
    border-style: solid;
    border-width: 25px 0 25px 20px; /* Ajustez la valeur selon vos besoins */
    border-color: transparent transparent transparent var(--arrow-background-color, #3498db); /* Couleur de la pointe */
}

.left .profil li {
    list-style-type: none;
}

.diplomes li {
    margin-bottom: 10px;
}

.diplomes li, .perso li {
    list-style-type: disclosure-closed;
}

/** RIGHT */
.right {
    width: 65%;
    padding: 30px 10px 10px 10px;
    color: var(--background-color-sidebar);
    background: white;
}

.right .container, .presentation {
    padding: 0 1rem;
}

.right .presentation {
    color: var(--subtitle-color);
}

.right .group h2 {
    text-transform: capitalize;
    color: var(--arrow-background-color);
    font-size: 2.5rem;
    margin: 1.4rem 0 0 0;
}

.right .group h3 {
    color: var(--subtitle-color);
    font-size: 1.5rem;
    margin: 0.5rem 0 0 0;
}

.right p {
    font-size: 0.9rem;
}

.competences-list .element{
    display: flex;
    align-items: start;
    justify-content: start;
}
.competences-list .element h4{
    margin: .3rem 0;
    color: #8dc4c7;
}
.competences-list .element ul{
    margin: .3rem 0;
}
.competences-list .element li{
    display: inline;
    font-size: .8rem;
}
.competences-list .element li:nth-child(n+2):before{
    content: ', ';
}

.competences {
    display: flex;
}

.competences ul {
    padding-left: 1rem;
}

.competences li {
    font-size: 0.8rem;
    list-style-type: none;
}

.competences > div {
    width: 50%;
}

.experiences h4{
    margin: 0;
    font-size: 0.9rem;
    white-space: nowrap;
}

.experiences article{
    /*padding-left: 1rem;*/
    padding-right: 1rem;
}

.list-xp{
    display: flex;
    align-items: start;
    justify-content: space-between;
    font-size: .85rem;
}
.list-xp ul{
    margin-left: 1rem;
    padding-left: 0;
}
.list-xp li{
    list-style: circle;
}

.technos {
    display: flex;
    align-items: start;
    justify-content: start;
}
.technos h4{
    font-size: .8rem;
}

.technos ul{
    font-style: italic;
    font-size: 0.9rem;
    padding: 0 2rem 0 1rem;
    margin: 0;
    list-style: none;
}
.technos li{
    font-size: .8rem;
    display: inline;
}
.technos li:nth-child(n+2):before{
    content: ', ';
}

/**
    Avatar
 */
.avatar {
    position: relative;
    margin-bottom: 2rem;
    margin-top: 2rem;
}

.avatar .my-name {
    position: absolute;
    text-align: center;
    font-size: 2.2rem;
    width: 100%;
    bottom: -10px;
    color: white;
}

.circle-container {
    width: 200px;
    height: 200px;
    overflow: hidden;
    border-radius: 50%;
    margin: 15px auto 0 auto;
}

.circle-image {
    width: 100%;
    height: auto;
    display: block;
}


/**
 Hors CV
 */

.menu {
    display: flex;
    flex-direction: column;
    align-items: end;
    position: fixed;
    bottom: 10px;
    right: 0;
}

.menu > div , .menu > button {
    margin: 5px;
    padding: 10px 0;
}

.menu > button {
    border: none;
    background: none;
}

.menu > div > span, .menu > button > span {
    text-align: end;
    background: white;
    border-radius: 5px;
    margin: 10px;
    padding: 10px;
}

/**
    Print
 */
@media print {
    body {
        background: none;
        margin: 0;
    }

    .content {
        margin: 0;
        box-shadow: none;
    }

    .no-print {
        display: none;
    }
}
